Package ru.bitel.bgbilling.modules.agr.server.bean

# Class TransactionManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>
ru.bitel.bgbilling.common.dao.AbstractIdDao<Transaction>
ru.bitel.bgbilling.server.bean.AbstractTransactionManager<Transaction>
ru.bitel.bgbilling.modules.agr.server.bean.TransactionManager

public class TransactionManager extends AbstractTransactionManager<Transaction>
Даошка для транзакций платежного модуля A

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `CONTRACT`
  `protected static final String`
  `TRANSACTION_ID`

  ### Fields inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `moduleSetup`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteTransactionByContractId(int contractId)`
  `List<IdTitle>`
  `getAGRPaymentSystemList()`
  Получение списка платежных систем, через которые проходили платежи.
  `protected Transaction`
  `getFromRS(ResultSet rs)`
  `protected String`
  `getQueryById()`
  `String`
  `getRedirectUrl(int contractId, String contractTitle, BigDecimal amount, Map<String,Object> dataMap, ModuleSetup moduleSetup)`
  `Transaction`
  `getTransaction(int transactionId)`
  Получение транзакции по ее коду
  `Transaction`
  `getTransaction(String agrTransactionId)`
  Получение транзакции по id из ПС
  `void`
  `searchTransaction(SearchResult<Transaction> searchResult, SearchParam searchParam, String agrPaymentName)`
  `protected void`
  `updateImpl(Transaction transaction)`

  ### Methods inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `checkColumn, doConnection, doConnection, executeQuerySumPage, getParameter, getParamString, getParamString, getParamString, getPaymentData, getTransactionSumColumn, psSetId, psSetStatus, queryId, queryStatus, searchTransaction, setConnectionTimeout, setParameter`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONTRACT

    protected static final String CONTRACT
    See Also:
      - Constant Field Values

  - ### TRANSACTION_ID

    protected static final String TRANSACTION_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TransactionManager

    public TransactionManager(Connection con, int moduleId)

- ## Method Details

  - ### searchTransaction

    public void searchTransaction(SearchResult<Transaction> searchResult, SearchParam searchParam, String agrPaymentName) throws SQLException
    Throws:
      `SQLException`

  - ### getTransaction

    public Transaction getTransaction(int transactionId) throws SQLException
    Получение транзакции по ее коду
    Parameters:
      `transactionId` - код транзакции
    Returns:
    Throws:
      `SQLException`

  - ### getQueryById

    protected String getQueryById()
    Overrides:
      `getQueryById` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>`

  - ### getTransaction

    public Transaction getTransaction(String agrTransactionId) throws SQLException
    Получение транзакции по id из ПС
    Parameters:
      `agrTransactionId` - код транзакции в ПС
    Returns:
      биллинговая транзакция
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getFromRS

    protected Transaction getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(Transaction transaction) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>`
    Throws:
      `SQLException`

  - ### getAGRPaymentSystemList

    public List<IdTitle> getAGRPaymentSystemList() throws SQLException
    Получение списка платежных систем, через которые проходили платежи. Формируется по столбцу agrPaymentName у платежей.
    Returns:
    Throws:
      `SQLException`

  - ### deleteTransactionByContractId

    public void deleteTransactionByContractId(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### getRedirectUrl

    public String getRedirectUrl(int contractId, String contractTitle, BigDecimal amount, Map<String,Object> dataMap, ModuleSetup moduleSetup) throws Exception
    Throws:
      `Exception`